Skip to main content
GET
/
cms
/
v3
/
blog-settings
/
settings
Retrieve all blogs
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blog-settings/settings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/v3/blog-settings/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/v3/blog-settings/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "absoluteUrl": "<string>",
      "allowComments": true,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "listingPageId": "<string>",
      "name": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publicTitle": "<string>",
      "slug": "<string>",
      "translatedFromId": "<string>",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Specifies whether to return archived Blogs. Defaults to false.

createdAfter
string<date-time>

Only return blogs created after the specified time.

createdAt
string<date-time>

Only return blogs created at exactly the specified time.

createdBefore
string<date-time>

Only return blogs created before the specified time.

limit
integer<int32>

The maximum number of results to return. Default is 100.

sort
string[]

Specifies which fields to use for sorting results. Valid fields are name and id

updatedAfter
string<date-time>

Only return blogs last updated after the specified time.

updatedAt
string<date-time>

Only return blogs last updated at exactly the specified time.

updatedBefore
string<date-time>

Only return blogs last updated before the specified time.

Response

successful operation

results
object[]
required
total
integer<int32>
required
paging
object

Model definition for paging.

Last modified on March 30, 2026